{% extends 'base.html.twig' %}

{% block title %}Détails{% endblock %}

{% block body %}
<div class="page-detailProduit">
    <div class="container">
        <h2 data-aos="zoom-in">{{ peinture.nom }}</h2>
        <div class="row align-items-center">
            <div class="col-md-8" data-aos="fade-right">
                <a href="{{ vich_uploader_asset (peinture, 'imageFile') | imagine_filter ('detail') }}"
                    data-lightbox="gallery" data-title="{{ peinture.nom }}">

                    <img src="{{ vich_uploader_asset (peinture, 'imageFile') | imagine_filter ('large') }}"
                        class="img-fluid rounded-start" alt="...">
                </a>
            </div>
            <div class="col-md-4" data-aos="fade-left">


                {% for categorie in peinture.categorie %}
                <h1 class="card-title">{{categorie.nom}}</h1>
                {% endfor %}

                <p class="card-text">{{peinture.description}}</p>
                <p class="card-text"><small class="text-muted"><i class="fas fa-calendar-days"></i> Date de réaliation
                        {{peinture.dateAt|date('d/m/Y')}}
                    </small></p>

                {% if peinture.largeur %}
                <p class="card-text">{{peinture.largeur}} <small class="text-muted"> CM </small></p>
                {% endif %}

                {% if peinture.hauteur %}
                <p class="card-text">{{peinture.hauteur}} <small class="text-muted"> CM </small></p>
                {% endif %}
                
                {% if peinture.enVente %}
                <h5 class="card-title"> Disponible à la vente {{peinture.prix}} &euro; </h5>
                {% endif %}

            </div>
        </div>

    </div>
</div>

{% endblock %}